import { P2P } from '@shardeum-foundation/lib-types';
export declare let neverGoActive: boolean;
/** FUNCTIONS */
/** CycleCreator Functions */
export declare function init(): void;
export declare function reset(): void;
export declare function getTxs(): P2P.ActiveTypes.Txs;
export declare function validateRecordTypes(rec: P2P.ActiveTypes.Record): string;
export declare function dropInvalidTxs(txs: P2P.ActiveTypes.Txs): P2P.ActiveTypes.Txs;
export declare function updateRecord(txs: P2P.ActiveTypes.Txs, record: P2P.CycleCreatorTypes.CycleRecord, _prev: P2P.CycleCreatorTypes.CycleRecord): void;
export declare function parseRecord(record: P2P.CycleCreatorTypes.CycleRecord): P2P.CycleParserTypes.Change;
export declare function sendRequests(): void;
export declare function queueRequest(request: P2P.ActiveTypes.ActiveRequest): void;
/** Module Functions */
export declare function requestActive(): void;
